;******************************************************************************
;* File Name          : ADC_Work.inc
;* Author             : MASSES CHIP
;* Version            : V1.00
;* Date               : 2019/07/01
;******************************************************************************
;
;ADC采集数据处理程序
;
;******************************************************************************

;//*****************************************************************************
;//ADC通道测量数据      
;//***************************************************************************** 	
ADCSampling12Bit:   
		MOVIA    0XF0
		ANDAR    ADCON0,R
		MOVR     ADCCHNUM,A        
		ORAR     ADCON0,R     
		NOP
		BSET     ADCON0,6      				;//开启第一次转换 
WAITINGADC8BIT1:
		JBTS1    ADCON0,5      
		GOTO     WAITINGADC8BIT1
		BSET     ADCON0,6      				;//开启第一次转换 
WAITINGADC8BIT2:	 	
		JBTS1    ADCON0,5
		GOTO     WAITINGADC8BIT2  
ADCSAMPLING8BIT_LP:	
		BSET     ADCON0,6      				;//开启第一次转换 
WAITINGADC8BIT3:	 	
		JBTS1    ADCON0,5
		GOTO     WAITINGADC8BIT3  			;//取第3次的数据 
		RETURN	  

;//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;//取十次的值，去除最大值最小值，剩下的求平均值
;//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
ADC_DATA_Deal:
;//寄存器初始化赋值	
		MOVIA		10
		MOVAR		R_Count				
		;//把最大值初始化成最小值0x0000
		CLRR		ADC_MAX_DATAH 		
		CLRR		ADC_MAX_DATAL 
		;//把最小值初始化成最大值0xFFFF
		MOVIA		0xFF
		MOVAR		ADC_MIN_DATAH 
		MOVAR		ADC_MIN_DATAL 
		;//求和寄存器清零
		CLRR		ADC_DATA_SUM_L 
		CLRR		ADC_DATA_SUM_H 

ADC_DATA_Collect_Lp:				
		MOVIA       0x01
		MOVAR		ADCCHNum
		CALL        ADCSampling12Bit    	;//ADC通道数据测量
		;//累加ADC测量数据
		MOVR		ADL,A								
		ADDAR		ADC_DATA_SUM_L,R		;//ADC低位累加
		MOVR		ADH,A
		ADCAR		ADC_DATA_SUM_H,R		;//ADC高位累加
		;//判断最大值和最小值
		CALL		DATA_CMP	
		DJZR        R_Count,R
		GOTO        ADC_DATA_Collect_Lp    	;//循环测量10次数据		
		;//减去最小值		
		MOVR        ADC_MIN_DATAL,A
		SUBRA		ADC_DATA_SUM_L,R
		MOVR        ADC_MIN_DATAH,A
		SBCRA 		ADC_DATA_SUM_H,R
		;//减去最大值
		MOVR        ADC_MAX_DATAL,A
		SUBRA		ADC_DATA_SUM_L,R
		MOVR        ADC_MAX_DATAH,A
		SBCRA 		ADC_DATA_SUM_H,R
		;//剩下8组数据平均	
		MOVIA       0x03
		MOVAR       R_Count
Average_loop:		
		BCLR		STATUS,C	
		RRR			ADC_DATA_SUM_H,R
		RRR         ADC_DATA_SUM_L,R
		DJZR		R_Count,R
		GOTO		Average_loop
		;//测量ADC通道的最后结果放在ADC_DATA_SUM_H,ADC_DATA_SUM_L
		RETURN


;//*****************************************************************************
;//最大值和最小值比较       
;//***************************************************************************** 
DATA_CMP:
;//-----------------------------------------------------------------------------
;//最大值比较
MAX_DATA_CMP:
		MOVR		ADH,A
		JGAR        ADC_MAX_DATAH		;//ADC高位与最大值高位相比较
		GOTO        MIN_DATA_CMP
		JBTS1       STATUS,Z
		GOTO        MAX_DATA_Change
		MOVR		ADL,A				;//高位比较结果为0时比较低位
		JGAR        ADC_MAX_DATAL
		GOTO        MIN_DATA_CMP
;//把最大值更新为当前值
MAX_DATA_Change:   
		MOVR		ADH,A				
		MOVAR		ADC_MAX_DATAH 		;//将AD高位赋值到最大值高位
		MOVR		ADL,A
		MOVAR		ADC_MAX_DATAL 		;//将AD低位赋值到最大值低位
;//-----------------------------------------------------------------------------
;//最小值比较
MIN_DATA_CMP:
        MOVR		ADH,A
		JGAR        ADC_MIN_DATAH		;//ADC高位与最小值高位相比较
		GOTO        MIN_DATA_Change
		JBTS1       STATUS,Z
		GOTO        DATA_CMP_End
		MOVR		ADL,A				;//高位比较结果为0时比较低位
		JLAR        ADC_MIN_DATAL
		GOTO        DATA_CMP_End
;//把最小值更新为当前值
MIN_DATA_Change: 
		MOVR		ADH,A				
		MOVAR		ADC_MIN_DATAH 		;//将AD高位赋值到最小值高位
		MOVR		ADL,A
		MOVAR		ADC_MIN_DATAL 		;//将AD低位赋值到最小值低位
		
DATA_CMP_End:
		RETURN

;*********************************END OF FILE******************************