;*******************(C) COPYRIGHT 2019 Masses-Chip *************************
;* Project Name       : M8P626 EEPROM Demo
;* File Name          : M8P626_EEPROM.ASM
;* Author             : MASSES  CHIP
;* Version            : V1.00
;* Date               : 2019/07/01
;* Web    			  : www.masses-chip.com
;* FAE                : Luo
;  				 	  : QQ：411680975
;***************************************************************************
;
;Option: 16M/16T, WDT-Enable-288ms, RS-IO, BOR 2.4V, EEPROM-Enable
;
;***************************************************************************
            LIST P=M8P626
#INCLUDE m8p626.inc

;***************************************************************************
;=================================C O D E===================================
;***************************************************************************
			ORG			0000H
			GOTO		MAIN_PROGRAM
			ORG			0008H
			;//GOTO		Interrupt
		
;***************************************************************************
;===============================中断处理程序================================
;====================注：没有使能的中断不要判断中断标志位===================
;***************************************************************************
Interrupt:
            PUSH        							;//进栈、保存A、STATUS
;//中断处理程序
		    NOP	
Interrupt_End:		
            POP         							;//出栈、恢复A、STATUS
		    RETIE
			
;***************************************************************************
;==================================主函数===================================
;***************************************************************************
;//--------------------------程序初始化-------------------------------------
MAIN_PROGRAM:
            CALL        SYSTEM_INIT                	;//系统初始化
	        CALL        Clr_RAM_00H_7FH            	;//清零RAM	
;//--------------------------主函数循环-------------------------------------
MainLoop:
            CALL        EEPROM_Write_Read          	;//EEPROM写读
			CLRWDT									;//清除看门狗
			
	        GOTO        MainLoop





;**************************************************************************
;================================系统初始化================================
;**************************************************************************
#INCLUDE				SYSTEM_INIT.INC

;**************************************************************************
;================================EEPROM写读================================
;**************************************************************************
#INCLUDE				EEPROM_Write_Read.INC


			END
;*********************************END OF FILE******************************  
