;******************************************************************************
;* File Name          : I2C_SLAVE.inc
;* Author             : MASSES CHIP
;* Version            : V1.00
;* Date               : 2019/07/01
;******************************************************************************
;
; 主机读写程序
;
;******************************************************************************
;//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
; ;/////////////////// M8P626   I2C_Init /////////////////////////////////////                                                                
;//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#define				I2C_SCLA				IOB,0                   
#define				I2C_SDAA				IOB,1
#define				I2C_SCLB				IOB,3                   
#define				I2C_SDAB				IOB,4
#DEFINE				FirstByte	            0
;//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
R_SlaveBuffAddr								EQU		h'37'
R_I2Cflag									EQU		h'3A'
IIC_Data									EQU		h'3B'
;//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;//	判断主机是读还是写
I2C_SLAVE_SSPINT: 
		JBTS1       I2CCON,R_W
        GOTO        I2C_Master_write		  
        GOTO        I2C_Master_Read

;//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;//	判断主机是发送地址还是数据        
I2C_Master_write:
		JBTS0       I2CCON,D_A
		GOTO        I2C_D_A_send_data		  	
;//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;//	主机向从机写地址，读取I2CBUF	  
		MOVR		I2CBUF,A
		BSET		R_I2Cflag,FirstByte
		GOTO		Interrupt_End  
;//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;//	主机向从机写数据
I2C_D_A_send_data:		
		JBTS1		R_I2Cflag,FirstByte
	    GOTO		I2C_GetData
		MOVR		I2CBUF,A
		MOVAR       R_SlaveBuffAddr
		MOVAR       IIC_Data
;		CALL		S_UARST_TX
        BCLR		R_I2Cflag,FirstByte
		GOTO		Interrupt_End
		  
;//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;//	主机向从机写数据，读取I2CBUF，写入缓冲区，缓冲区地址+1	  
I2C_GetData:
       
		MOVR		R_SlaveBuffAddr,A
		MOVAR 		FSR0
		MOVR 		I2CBUF,A
		MOVAR		INDF0
		INCR 		R_SlaveBuffAddr,R		
		MOVR		I2CBUF,A
		MOVAR		IIC_Data
		CALL		S_UARST_TX
		GOTO		Interrupt_End  

;//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;//	主机向从机读数据
I2C_Master_Read:

		JBTS0       I2CCON,NACK
		GOTO        I2C_NACK_1		  
		GOTO        I2C_NACK_0    
		GOTO		Interrupt_End
;//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;//	读取缓冲区数据，写入I2CBUF，缓冲区地址+1	  		  
I2C_NACK_0:	
		MOVR		R_SlaveBuffAddr,A
		MOVAR		FSR0
		MOVR		INDF0,A
		MOVAR		I2CBUF
		INCR 		R_SlaveBuffAddr,R
		GOTO		Interrupt_End  
			  
;//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;//	写入I2CBUF，缓冲区地址 -1（上次写入缓冲区的数据未发送）  		  
I2C_NACK_1:		
		DECR 		R_SlaveBuffAddr,R
		MOVAR		I2CBUF
		GOTO		Interrupt_End 


;//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;//	UARST_TX
S_UARST_TX:
		MOVR		IIC_Data,A
		MOVAR       TXREG
		JBTS1       TXCR,6
		GOTO        $-1
		RETURN

;***********************************END OF FILE********************************