/*******************(C) COPYRIGHT 2019 Masses-Chip ******************************
* Project  Name      : M8P626 I2C Demo
* File Name          : M8P626_I2C.C
* Author             : MASSES CHIP
* Version            : V1.00
* Date               : 2019/07/01
* Web    			 : www.masses-chip.com
* FAE                : Luo
*					 : QQ：411680975
********************************************************************************/
/********************************************************************************
*
*Option: 16M/16T, WDT-Enable-288ma, RST-IO ,BOR 2.4V
*
*********************************************************************************/
#include "common.h"
unsigned  char 	 sFSR0;
//===============================================================================
//********************************程序主函数*************************************
//===============================================================================
void  main(void)
{  
	system_Init();					//系统初始化	
	Clr_RAM_00H_7FH();				//RAM清零
	I2C_INIT();					    //I2C初始化
	while(1)	
	{		
		__CLRWDT();					//清除看门狗
	}
}

//===============================================================================
//*********************************中断处理程序**********************************
//====================注：没有使能的中断不要判断中断标志位=======================
//===============================================================================
void  int_isr(void) __interrupt
{  
	__PUSH();                		//进栈、保存A、STATUS
//中断处理程序	
	sFSR0=FSR0;						//保存FSR0
	if(I2CIF)
	{
		if(R_W)
		{
			I2CMasterRead();		//R_W=1(主机读数据)
		}
		else
		{
			I2CMasterWrite();		//R_W=0(主机写数据)
		}		
	}
	FSR0=sFSR0;						//恢复FSR0
	
    __POP();                   		//出栈、恢复A、STATUS
   
}

/*********************************END OF FILE************************************/ 