;*******************(C) COPYRIGHT 2019 Masses-Chip *******************************
;* File Name          : INT0_INIT.INC
;* Author             : MASSES  CHIP
;* Version            : V1.00
;* Date               : 2019/07/01
;*********************************************************************************
;*********************************************************************************
;
;INT0中断初始化
;
;*********************************************************************************
; ;//Bit[3:2] MINT1[1:0]: INT1中断模式选择
; ;//MINT1[1:0] INT1 中断模式选择
; ;//00 上升沿中断
; ;//01 下降沿中断
; ;//1X 变化中断
; ;//Bit[1:0] MINT0[1:0]: INT0中断模式选择
; ;//MINT0[1:0] INT0 中断模式选择
; ;//00 上升沿中断
; ;//01 下降沿中断
; ;//1X 变化中断
#define				MINT2_UP				b'00110000'       ;上升沿中断
#define				MINT2_DOWN				b'00110001'       ;下降沿中断
#define				MINT2_CHANGE			b'00110010'       ;变化中断

;*********************************************************************************
;===============================INT0初始化========================================
;*********************************************************************************
INT0_Interrupt_INIT:
;//---------------------------------------------------- 
;//1、端口设置 
		BSET     PUA,0				;//INT0端口设置为上拉
		BCLR	 OEA,0				;//INT0端口设置为输入
;//----------------------------------------------------
;//2、中断模式选择		
		MOVIA     MINT2_DOWN		;//下降沿中断
		MOVAR     OPTION
;//---------------------------------------------------- 
;//3、中断使能
		BSET	  INTCR0,INT0IE		;//INT1中断使能
		BCLR	  INTF1,INT0IF
;//---------------------------------------------------- 	
		BSET	  OPTION,GIE    	;//总中断使能
        RETURN

;*********************************END OF FILE**********************************