/*******************(C) COPYRIGHT 2019 Masses-Chip ****************************
;* File Name          : INT1_INIT.C
;* Author             : MASSES  CHIP
;* Version            : V1.00
;* Date               : 2019/07/01
;******************************************************************************
;******************************************************************************
;
;INT1中断初始化
;
;******************************************************************************/
#include "COMMON.H"
//******************************************************************************
//Bit[3:2] MINT1[1:0]: INT1中断模式选择
//MINT1[1:0] INT1 中断模式选择
//00 上升沿中断
//01 下降沿中断
//1X 变化中断
//Bit[1:0] MINT0[1:0]: INT0中断模式选择
//MINT0[1:0] INT0 中断模式选择
//00 上升沿中断
//01 下降沿中断
//1X 变化中断	
#define				MINT1_UP				Bin(00110000)       //上升沿中断
#define				MINT1_DOWN				Bin(00110100)       //下降沿中断
#define				MINT1_CHANGE			Bin(00111000)       //变化中断

//******************************************************************************
//===========================INT0初始化=========================================
//******************************************************************************	
void INT1_INTERRUPT_INIT(void)
{
//1、端口设置
	PUA7=1;									//INT1端口设置为上拉
	OEA7=0;									//INT1端口设置为输入
//2、中断模式选择
	OPTION=(unsigned char)(MINT1_DOWN);		//下降沿中断
//3、中断使能
	INT1IE=1;								//使能INT1中断
	INT1IF=0;
	GIE=1;									//使能总中断
}

/*********************************END OF FILE************************************/  

