;*******************(C) COPYRIGHT 2019 Masses-Chip ****************************
;* Project Name       : M8P626 IOB Demo
;* File Name          : M8P626_IOB.ASM
;* Author             : MASSES CHIP
;* Version            : V1.00
;* Date               : 2019/07/01
;* Web    			  : www.masses-chip.com
;* FAE                : Luo
;  				 	  : QQ：411680975
;******************************************************************************
;******************************************************************************
;
;Option: 16M/16T, WDT-Enable-288ms, RS-IO, BOR 2.4V
;
;******************************************************************************
		LIST P=M8P626                       
#INCLUDE M8P626.INC

;******************************************************************************
;=================================C O D E======================================
;******************************************************************************
		ORG			0000H
		GOTO		Main_Program
		ORG			0008H
		;//GOTO		S_interrupt
		
;******************************************************************************
;===============================中断处理程序===================================
;====================注：没有使能的中断不要判断中断标志位======================
;******************************************************************************	
;//中断进来		
S_interrupt:
		PUSH								;//压栈、保存A、STATUS
;//中断处理程序	
		JBTS0      	INTF1,IOBCHIF			;//检测io中断标志位           
		GOTO       	IO_Interrupt		
Interrupt_End:		
;//中断结束
		POP									;//出栈、恢复A、STATUS
		RETIE	
;//IO变化中断中断			
IO_Interrupt:		
		BCLR		INTF1,IOBCHIF			;//清零INT0标志位
;//下面加中断中需要的操作	
		NOP	
		GOTO        Interrupt_End
		
;******************************************************************************
;==============================主程序==========================================
;******************************************************************************
;//--------------------------程序初始化----------------------------------------	
Main_Program:
		CALL       	SYSTEM_INIT				;//系统初始化
		CALL       	Clr_RAM_00H_7FH			;//清零RAM
		CALL      	IO_INTERRUPT_INIT		;//IO中断初始化
;//--------------------------主函数循环----------------------------------------
Main_Loop:      
		CLRWDT								;//清除看门狗	                                 
		GOTO      	Main_Loop





;******************************************************************************
;================================系统初始化====================================
;******************************************************************************
#INCLUDE	SYSTEM_INIT.INC

;******************************************************************************
;==============================IO中断初始化====================================
;******************************************************************************
#INCLUDE	IO_INTERRUPT_INIT.INC


		END
;*********************************END OF FILE**********************************