/*******************(C) COPYRIGHT 2019 Masses-Chip ******************************
;* Project Name        : M8P626 IOB Demo
;* File Name           : M8P626_I0B.C
;* Author              : MASSES  CHIP
;* Version             : V1.00
;* Date                : 2019/07/01
;* Web    			   : www.masses-chip.com
;* FAE                 : Luo
;*  				   : QQ：411680975
;********************************************************************************
;
;Option: 16M/16T, WDT-Enable-288ms, RS-IO, BOR 2.4V, 
;
;*******************************************************************************/
#include "COMMON.H"
//===============================================================================
//********************************程序主函数*************************************
//===============================================================================
void  main(void)					//程序主函数
{   
    SYSTEM_INIT();					//系统初始化
	Clr_RAM_00H_7FH();				//清零RAM
	IO_INTERRUPT_INIT();			//IO中断初始化
	while(1)
	{
		__CLRWDT();					//清除看门狗
	}	
}

//===============================================================================
//******************************中断服务子程序***********************************
//====================注：没有使能的中断不要判断中断标志位=======================
//===============================================================================
void  int_isr(void) __interrupt
{  
    __PUSH();                   	//压栈、保存A、STATUS 
//中断处理函数 	
	
	if(IOBCHIF)						//检测IO变化中断标志位
	{
		IOBCHIF = 0;				//清零IO变化中断标志位
//下面加中断中需要的操作
		__NOP();
	}
	
    __POP();						//出栈、恢复A、STATUS
   
}

/*********************************END OF FILE************************************/  