;******************************************************************************
;* Project  Name      : M8P626 USART Demo
;* File Name          : M8P626_USART.asm
;* Author             : MASSES CHIP
;* Version            : V1.00
;* Date               : 2019/07/01
;* Web    			  : www.masses-chip.com
;* FAE                : Luo
;  				 	  : QQ：411680975
;******************************************************************************
;
;Option: 16M/16T, WDT-Enable-288ms, RST-IO ,BOR 2.4V
;
;******************************************************************************
        LIST P=M8P626                       
#INCLUDE M8P626.INC

;//定义变量
			udata		H'10'
USART_DATA           res	1			;//USART数据
;******************************************************************************
;=================================C O D E======================================
;******************************************************************************
		ORG			0000H
		GOTO		Main_Program
		ORG			0008H
		;//GOTO		S_interrupt
		
;******************************************************************************
;===============================中断处理程序===================================
;====================注：没有使能的中断不要判断中断标志位======================
;******************************************************************************				
;//中断进来		
S_interrupt:
        PUSH        						;//进栈、保存A、STATUS
        ;//中断处理程序
		JBTS1  		INTF0,RXIF      		;//判断中断标志RXIF
		GOTO        Interrupt_End         		
		GOTO        RX_Int_Pro		        ;//异步接收	
Interrupt_End:		
;//中断结束
		POP         						;//出栈、恢复A、STATUS
		RETIE	 

;******************************************************************************
;=============================USART RX中断处理程序=============================
;******************************************************************************			
RX_Int_Pro:
		JBTS0		RXCR,1   			    ;//检测当前接收数据格式
		GOTO		Interrupt_End	
		MOVR		RXREG,A
		MOVAR		USART_DATA			
		GOTO		USART_Byte_Send
		GOTO		Interrupt_End
;//------------------------------- 发送程序 ------------------------------
USART_Byte_Send:		
		MOVR		USART_DATA,A
		MOVAR		TXREG

USART_Byte_Send_1:		
		JBTS1		TXCR,6          		;//检测数据是否已发送
		GOTO        USART_Byte_Send_1
		GOTO		Interrupt_End 		


;******************************************************************************
;==============================主程序==========================================
;******************************************************************************			
;//--------------------------程序初始化----------------------------------------	
Main_Program:		
	    CALL		system_Init				;//系统初始化
		CALL		Clr_RAM_00H_7FH		    ;//RAM清零
		CALL		USART_Init				;//USART初始化
;//--------------------------主函数循环----------------------------------------
Main_Loop:
		CLRWDT								;//清除看门狗
	    GOTO		Main_Loop
		
		
		

;******************************************************************************
;================================系统初始化====================================
;******************************************************************************
#INCLUDE	SYSTEM_INIT.INC

;******************************************************************************
;===============================  USART初始化  ================================
;******************************************************************************	
#INCLUDE	USART_Init.INC



		END
;*********************************END OF FILE**********************************